set(CMAKE_SYSTEM_NAME Linux)
set(CMAKE_SYSTEM_PROCESSOR arm)

# compiler/linker flags
set(CMAKE_SYSROOT /opt/arago-2023.04/sysroots/aarch64-oe-linux)

set(tools /opt/arago-2023.04/sysroots/x86_64-arago-linux/usr/bin/aarch64-oe-linux)
set(CMAKE_C_COMPILER ${tools}/aarch64-oe-linux-gcc)
set(CMAKE_CXX_COMPILER ${tools}/aarch64-oe-linux-g++)

set(CMAKE_FIND_ROOT_PATH_MODE_PROGRAM NEVER)
set(CMAKE_FIND_ROOT_PATH_MODE_LIBRARY ONLY)
set(CMAKE_FIND_ROOT_PATH_MODE_INCLUDE ONLY)
set(CMAKE_FIND_ROOT_PATH_MODE_PACKAGE ONLY)
